Subject: Gcc compiler b18 newbie probs
From: [email-masked] (Rich Dorfman)

9 Dec 1997 22:25:25 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Just installed Gnu-Win32 b18 on Win95 P100 platform. Paths and environment
variables successfully added to autoexec.bat. 

Tried to compile the following:

#include <iostream.h>
int main(void)
{		
	cout << "Come up and C++ me some time."; 
	cout << "\n";
	return 0;
}

Got the following errors:

undefined reference to `cout'
undefined reference to `ostream::operator<<(char const *)'

I presume that iostream.h is not being found. The file resides at:
	C:\gnuwin32\b18\include\g++\iostream.h

I'm using the dos command line. I've tried the -I switch after my compile
statement. 	What is the proper switch?
	What is the proper syntax?
	Back slashes or forward slashes in the path?
	Should I be using BASH shell prompt? Advantages/disadvantages?

Thanks list for your help.

_____________________________________________________________

  \ | /   |==         Rich Dorfman
   \|/ eb |==         (414) 569-1228
          | eats      [email-masked]

  * Web page design, Internet marketing & instruction
  * Total connectivity solutions
  * Firewalls, content filtering & network security

          --->>  www.web-feats.com  <<---
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".